<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="AREAMAP-VIEW">
		<script src='/modules/AreaMap/js/validator.js?{$version}.{$build}' type='text/javascript'></script>
		<fieldset style="padding-left: 5px;padding-right: 5px;">
			<legend><xsl:value-of select="@TITLE"/></legend>
			<table width="100%" border="0" style="height: 100%" cellpadding="5" cellspacing="0">
				<tr>
					<td width="300" align="center" valign="top">
						<img width="296" height="227" src="">
							<xsl:attribute name="src">
								<xsl:value-of select="LOCATION/@IMAGE"/>
							</xsl:attribute>
						</img>
					</td>
					<td valign="top">
						<table width="100%" style="height: 100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td style="padding-left: 5px; padding-right: 5px;" height="10">
									<input type="text" name="mmp_location" id="mmp_location" class="SB_Control_Input_Input" style="width: 100%">
										<xsl:attribute name="value">
											<xsl:value-of select="LOCATION/@VALUE"/>
										</xsl:attribute>
									</input>
								</td>
								<td style="width: 30%;" align="center">
									<xsl:call-template name="BUTTON-CONTROL">
										<xsl:with-param name="title"><xsl:value-of select="LOCATION/@TITLE"/></xsl:with-param>
										<xsl:with-param name="action">javascript: document.forms[0].action='<xsl:value-of select='@ACTION'/>';return validateViewForm();</xsl:with-param>
									</xsl:call-template>
								</td>
							</tr>
							<tr>				
								<td colspan="2" valign="top" style="padding-left: 5px;padding-top: 5px;">
									<div style="width: 100%; height: 100%; overflow: auto;">
										<xsl:for-each select="LINKS-LIST/ITEM">
											<a href="">
												<xsl:attribute name="href">
													<xsl:value-of select="@URL"/>
												</xsl:attribute>
												<xsl:value-of select="@VALUE"/>
											</a><br/>
										</xsl:for-each>
									</div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="sb-label"><hr/></td>
				</tr>						
				<tr>
					<td align="right" colspan="2">
						<table cellspacing="0" cellpadding="0" align="Right" border="0" style="border-collapse:collapse;" class="PleskButton154px">
							<tr>
								<td>
									<table class="PleskButton154px" onclick="" cellpadding="0" cellspacing="0" style="cursor:pointer">
									<xsl:attribute name="onclick">javascript: document.forms[0].action='<xsl:value-of select='@ACTION'/>'; e = document.getElementById('mmp_action'); if(e) { e.value='resetCredentials'; document.forms[0].submit();}</xsl:attribute>
									<tr>
										<td align="right" style="padding:0px;">
											<img src="{$skinPath}/plesk/Native/images/spacer.gif" style="border-width:0px;" />
										</td>
										<td style="white-space:nowrap;height:;width:100%;text-align:center;vertical-align:middle;background-image:url({$skinPath}/plesk/Native/images/spacer.gif);padding:0px;">
											<span class="sb-label"><xsl:value-of select="CONTROL[@TYPE='BUTTON']/@TITLE"/></span>
										</td>
										<td align="left" style="padding:0px;">
											<img src="{$skinPath}/plesk/Native/images/spacer.gif" style="border-width:0px;" />
										</td>
									</tr>
									</table> 
								</td>
							</tr>
						</table>
					</td>
				</tr>			
				<tr>
					<td colspan="2" class="sb-label"><hr/></td>
				</tr>						
				<tr>
					<td colspan="2" >
						<xsl:call-template name="OK-CANCEL-BUTTONS">
							<xsl:with-param name="okAction">javascript: document.forms[0].action='<xsl:value-of select='@ACTION'/>'; e = document.getElementById('mmp_action'); if(e) { e.value='save'; document.forms[0].submit();}</xsl:with-param>
							<xsl:with-param name="cancelAction">javascript: document.forms[0].action='<xsl:value-of select='@ACTION'/>'; e = document.getElementById('mmp_action'); if(e) { e.value='cancel'; document.forms[0].submit();}</xsl:with-param>
						</xsl:call-template>				
					</td>
				</tr>			
			</table>
		</fieldset>
		<input type="hidden" name="mmp_action" id="mmp_action" value="view"/>
		<input type="hidden" name="mmp_activeId">
			<xsl:attribute name="value">
				<xsl:value-of select="LINKS-LIST/@ACTIVE-ID"/>
			</xsl:attribute>
		</input>
		<input type="hidden" name="mmp_image">
			<xsl:attribute name="value">
				<xsl:value-of select="LOCATION/@IMAGE"/>
			</xsl:attribute>
		</input>
	</xsl:template>
	
	<xsl:template match="AREAMAP-LOGIN">
		<script src='/modules/AreaMap/js/validator.js?{$version}.{$build}' type='text/javascript'></script>
<!--		<form name="loginToMMP" id="loginToMMP" method="post" action="/Wizard/Edit/Modules/AreaMap">
-->		<table width="100%" border="0" cellpadding="10" cellspacing="0">	
			<tr><td>
			<fieldset>
				<legend><xsl:value-of select="@TITLE"/></legend>
				<table width="100%" border="0" cellpadding="0" cellspacing="0">	
					<tr><td><xsl:value-of select="@DESCRIPTION"/></td></tr>		
					<tr>
						<td colspan="2">
							<a target="_blank">
								<xsl:attribute name="href">
									<xsl:value-of select="LINK-TO-MS/@HREF"/>
								</xsl:attribute>
								<xsl:value-of select="LINK-TO-MS/@TITLE"/>
							</a>
						</td>
					</tr>		
					<tr>
						<td style="padding-top: 5px;">
							<xsl:apply-templates select="CONTROL" mode="TITLE-LEFT">
								<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
								<xsl:with-param name="require">on</xsl:with-param>
								<xsl:with-param name="controlStyle">width: 100%;</xsl:with-param>
							</xsl:apply-templates>
						</td>
					</tr>
					<tr>
						<td colspan="2"><span class="sb-label"><hr/></span></td>
					</tr>						
					<tr>
						<td align="right">
							<table cellspacing="0" cellpadding="0" align="Right" border="0" style="border-collapse:collapse;" class="PleskButton154px">
								<tr>
									<td>
										<table class="PleskButton154px" onclick="" cellpadding="0" cellspacing="0" style="cursor:pointer">
										<xsl:attribute name="onclick">javascript: document.forms[0].action='<xsl:value-of select='@ACTION'/>'; return validateLoginForm();</xsl:attribute>
										<tr>
											<td align="right" style="padding:0px;">
												<img src="{$skinPath}/plesk/Native/images/spacer.gif" style="border-width:0px;" />
											</td>
											<td style="white-space:nowrap;height:;width:100%;text-align:center;vertical-align:middle;background-image:url({$skinPath}/plesk/Native/images/spacer.gif);padding:0px;">
												<span class="sb-label"><xsl:value-of select="CONTROL[@TYPE='BUTTON']/@TITLE"/></span>
											</td>
											<td align="left" style="padding:0px;">
												<img src="{$skinPath}/plesk/Native/images/spacer.gif" style="border-width:0px;" />
											</td>
										</tr>
										</table> 
									</td>
								</tr>
							</table>
						</td>
					</tr>			
					<tr>
						<td colspan="2" class="sb-label"><hr/></td>
					</tr>						
					<tr>
						<td colspan="2" align="left"><xsl:call-template name="REQUIRED-FIELDS"/></td>
					</tr>						
				</table>
			</fieldset>
			</td></tr>
		</table>
		<input type="hidden" name="mmp_action" id="mmp_action" value="checkCredentials"/>
	</xsl:template>
	

</xsl:stylesheet>